=== tools/releasing/packaging/debian/changelog ===
libprecice1 (1.6.1) experimental; urgency=low

  * New upstream release 1.6.1

 -- the preCICE developers <precice@mailman.informatik.uni-stuttgart.de>  Fri, 13 Sep 2019 11:07:42 +0200

libprecice1 (1.6.0) experimental; urgency=low

  * New upstream release 1.6.0

 -- the preCICE developers <precice@mailman.informatik.uni-stuttgart.de>  Wed, 11 Sep 2019 19:58:06 +0200

libprecice1 (1.1.1) experimental; urgency=low

  * Fix SConstruct symlink build target failing when using lowercase build (debug, release) names.

 -- the preCICE developers <precice@mailman.informatik.uni-stuttgart.de>  Thu, 19 Apr 2018 16:37:34 +0200

libprecice2 (2.0.0) experimental; urgency=low

  * New upstream release 2.0.0

 -- the preCICE developers <info@precice.org>  Mon, 03 Feb 2020 13:14:16 +0100

libprecice2 (2.0.1) experimental; urgency=low

  * New upstream release 2.0.1

 -- the preCICE developers <info@precice.org>  Tue, 25 Feb 2020 11:53:39 +0100

libprecice2 (2.0.2) experimental; urgency=low

  * New upstream release 2.0.2

 -- the preCICE developers <info@precice.org>  Wed, 01 Apr 2020 11:47:04 +0200

libprecice2 (2.1.0) experimental; urgency=low

  * New upstream release 2.1.0

 -- the preCICE developers <info@precice.org>  Tue, 21 Jul 2020 09:12:08 +0200

libprecice2 (2.1.1) experimental; urgency=low

  * New upstream release 2.1.1

 -- the preCICE developers <info@precice.org>  Tue, 06 Oct 2020 11:43:48 +0200

libprecice2 (2.2.0) experimental; urgency=low

  * New upstream release 2.2.0

 -- the preCICE developers <info@precice.org>  Mon, 18 Jan 2021 21:44:05 +0100

libprecice2 (2.2.1) experimental; urgency=low

  * New upstream release 2.2.1

 -- the preCICE developers <info@precice.org>  Tue, 18 May 2021 09:37:04 +0200

libprecice2 (2.3.0) experimental; urgency=low

  * New upstream release 2.3.0

 -- the preCICE developers <info@precice.org>  Wed, 15 Sep 2021 16:37:46 +0200

libprecice2 (2.4.0) experimental; urgency=low

  * New upstream release 2.4.0

 -- the preCICE developers <info@precice.org>  Mon, 09 May 2022 13:20:21 +0200

libprecice2 (2.5.0) experimental; urgency=low

  * New upstream release 2.5.0

 -- the preCICE developers <info@precice.org>  Thu, 04 Aug 2022 08:57:12 +0200

libprecice3 (3.0.0) experimental; urgency=low

  * New upstream release 3.0.0

 -- the preCICE developers <info@precice.org>  Wed, 10 Jan 2024 16:26:20 +0100

libprecice3 (3.1.0) experimental; urgency=low

  * New upstream release 3.1.0

 -- the preCICE developers <info@precice.org>  Thu, 28 Mar 2024 16:43:05 +0100

libprecice3 (3.1.1) experimental; urgency=low

  * New upstream release 3.1.1

 -- the preCICE developers <info@precice.org>  Fri, 12 Apr 2024 11:40:47 +0200

libprecice3 (3.1.2) experimental; urgency=low

  * New upstream release 3.1.2

 -- the preCICE developers <info@precice.org>  Fri, 15 May 2024 16:33:00 +0200

libprecice3 (3.2.0) experimental; urgency=low

  * New upstream release 3.2.0

 -- the preCICE developers <info@precice.org>  Tue, 25 Mar 2025 16:43:38 +0100
